List user transactions
curl --request GET \
--url https://api.wallbit.io/api/public/v1/transactions \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.wallbit.io/api/public/v1/transactions"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.wallbit.io/api/public/v1/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.wallbit.io/api/public/v1/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.wallbit.io/api/public/v1/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.wallbit.io/api/public/v1/transactions")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.wallbit.io/api/public/v1/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"data": [
{
"uuid": "550e8400-e29b-41d4-a716-446655440000",
"type": "WITHDRAWAL_LOCAL",
"external_address": "Juan Perez",
"source_currency": {
"code": "USD",
"alias": "USD"
},
"dest_currency": {
"code": "USD",
"alias": "USD"
},
"source_amount": 100,
"dest_amount": 100,
"status": "COMPLETED",
"created_at": "2024-01-15T10:30:00.000000Z",
"comment": null
}
],
"pages": 5,
"current_page": 1,
"count": 50
}
}Transactions
List Transactions
Returns the transaction history for the authenticated user using an API Key. Supports pagination and multiple filters to easily search for specific transactions.
GET
/
api
/
public
/
v1
/
transactions
List user transactions
curl --request GET \
--url https://api.wallbit.io/api/public/v1/transactions \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.wallbit.io/api/public/v1/transactions"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.wallbit.io/api/public/v1/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.wallbit.io/api/public/v1/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.wallbit.io/api/public/v1/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.wallbit.io/api/public/v1/transactions")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.wallbit.io/api/public/v1/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"data": [
{
"uuid": "550e8400-e29b-41d4-a716-446655440000",
"type": "WITHDRAWAL_LOCAL",
"external_address": "Juan Perez",
"source_currency": {
"code": "USD",
"alias": "USD"
},
"dest_currency": {
"code": "USD",
"alias": "USD"
},
"source_amount": 100,
"dest_amount": 100,
"status": "COMPLETED",
"created_at": "2024-01-15T10:30:00.000000Z",
"comment": null
}
],
"pages": 5,
"current_page": 1,
"count": 50
}
}Authorizations
API Key authentication. Obtain your API key from the Wallbit dashboard under Settings → API Keys.
Query Parameters
Page number (default: 1)
Required range:
x >= 1Number of results per page
Available options:
10, 20, 50 Filter by transaction status
Example:
"COMPLETED"
Filter by transaction type
Example:
"TRADE"
Filter by currency
Available options:
USD, EUR, ARS, MXN, USDC, USDT, BOB, COP, PEN, DOP, BRL, PHP, CLP, GTQ, PAB, CRC Example:
"USD"
Start date of range (format: Y-m-d)
Example:
"2024-01-01"
End date of range (format: Y-m-d)
Example:
"2024-12-31"
Minimum amount filter
Required range:
x >= 0Example:
100
Maximum amount filter
Required range:
x >= 0Example:
1000
Response
List of transactions
Show child attributes
Show child attributes

